﻿#******************************************************************************
#
#  Titre:  test_array.ps1
#
#  Description: test sur des array
#
#  Prérequis: désactiver la signature des scripts PowerShell: Set-ExecutionPolicy remotesigned
#
#  Auteur: Mathieu Chateau - LOTP
#  mathieu.chateau@lotp.fr
#  Version: 0.1
#******************************************************************************

#purge de l'écran
Clear

#Objectif du script: stocker plusieurs valeurs pour chaque ligne du tableau


#
Function afficherTableau($array)
{
	for ($i=0;$i -lt $array.Length;$i++)
	{
		Write-Output "boucle N°: $i"
		Write-Output $array[$i][0]
		Write-Output $array[$i][1]
		Write-Output $array[$i][2]
		Write-Output "--------"
	}
}
#Ce tableau ne fonctionne pas du tout comme prévu (il manque la virgule au début pour cela)
$tableauMauvais=("Mathieu","Chateau","mathieu.chateau@lotp.fr")
Write-Output "Affichage mauvais tableau"
afficherTableau $tableauMauvais

#Ce tableau fonctionne mais la construction n'est pas correcte (pas de virgule au début, mais ok car 2 éléments)
$tableauPasCorrect=("Mathieu","Chateau","mathieu.chateau@lotp.fr"),("Microsoft","Réseau","Sécurité")
Write-Output "Affichage tableau qui fonctionne mais mal construit"
afficherTableau $tableauPasCorrect

#Tableau multidimensionnel construit correctement
#creation du tableau avec un seul élément (virgule avant la parenthèse)
$tableauCorrect=,("Mathieu","Chateau","mathieu.chateau@lotp.fr")
#Ajout d'un élément
$tableauCorrect+=,("Microsoft","Réseau","Sécurité")
Write-Output "Affichage tableau qui fonctionne et bien construit"
afficherTableau $tableauCorrect
